local drawing = require("drawing")
local state = require("state")
local input = require("input")

local type 

return {
    init = function(_type)
        type = _type
    end,

    update = function(dt)
        if input.justPressed("pointer") then
            state.switch("title")
        end
    end,

    draw = function() 
        local r,g,b = unpack(colours.red)
        drawing.col(r, g, b, 0.7)
        drawing.rect("fill", 0, 0, WIDTH, HEIGHT)

        drawing.col(1, 1, 1, 1)

        local w = font:getWidth("Paused")
        drawing.printf("Game Over!", 0, HEIGHT / 2 - 32, WIDTH, "center")
        drawing.printf("Click to exit", 0, HEIGHT / 2 , WIDTH, "center")
    end
}