local drawing = require("drawing")
local state = require("state")
local input = require("input")

return  {
    update = function(dt)
        if input.justPressed("start") then
            state.pop()
        end
    end,

    draw = function() 
        drawing.col(0, 0, 0, 0.5)
        drawing.rect("fill", 0, 0, WIDTH, HEIGHT)
        drawing.col(1, 1, 1, 1)

        local w = font:getWidth("Paused")
        drawing.print("Paused", math.round(WIDTH / 2 - w / 2), HEIGHT / 2 - 32)
    end 
}