local entity = require("entity")
local collision = require("collision")

local weapon = {}

function weapon.updateProjectile(dt, e, gameData)
    -- e.liveTime = e.liveTime - dt
    -- if e.liveTime > 0 then
        local vx = e.vx * dt 
        local vy = e.vy * dt

        local col = collision.moveObject(e, vx, vy, function(item, other)
            if other.layer == e.target then
                return "cross"
            end
            return nil
        end)
        if col then
            if col.type == "cross" and col.other.hp then
                col.other.hp = col.other.hp - e.power
            end
            e.destroy = true
        end

    --     local enemies = gameData.enemies
    --     local enemiesHash = gameData.enemiesHash

    --     local results, count = hash.search(enemiesHash, e.x, e.y, e.cr * 10)

    --     local best, bestDist = nil, 9999999
    --     for i = 1, count do
    --         local enemy = enemies[results[i]]
    --         local dist = entity.distance(e, enemy) 
    --         if entity.overlap(e, enemy) and  dist < bestDist then
    --             best = enemy
    --             bestDist = dist
    --         end
    --     end

    --     if best then
    --         best.hp = best.hp - e.power
    --         e.destroy = true
    --     end

    -- else
    --     e.destroy = true
    -- end
end

return weapon