local sprites = {}

sprites.powerup_arrow = {"powerups", 0, 0, 19, 20}
sprites.door = {"dungeon_atlas", 33, 241, 32, 32}
sprites.tabUnselected = {"tabs", 0, 0, 96, 16}
sprites.tabSelected = {"tabs", 0, 16, 96, 16}
sprites.uiPanel = {"panel", 0, 0, 288, 192}
sprites.uiClose = {"close", 0, 0, 16, 16}
sprites.uiWall = {'dungeon_atlas',16, 152, 16, 16, 0, 0}
sprites.uiTurret = {'dungeon_atlas',16, 152, 16, 16, 0, 0}
sprites.uiKeyEReleased = {'keys', 0, 64, 16, 16}
sprites.uiKeyEPressed = {'keys', 32, 64, 16, 16}
sprites.uiButton = {'button', 0, 0, 96, 16}
sprites.slimeFragment = {"dungeon_atlas", 336, 384, 12, 9,}
sprites.shrine = {"shrine", 0, 0, 32, 48, 0, 0}
sprites.turret = {"dungeon_atlas", 48, 288, 16, 32,8, 32}

sprites.big_demon_idle_anim_f0 = {'dungeon_atlas',16, 428, 32, 36, 16, 36}
sprites.big_demon_idle_anim_f1 = {'dungeon_atlas',48, 428, 32, 36, 16, 36}
sprites.big_demon_idle_anim_f2 = {'dungeon_atlas',80, 428, 32, 36, 16, 36}
sprites.big_demon_idle_anim_f3 = {'dungeon_atlas',112, 428, 32, 36, 16, 36}
sprites.big_demon_run_anim_f0 = {'dungeon_atlas',144, 428, 32, 36, 16, 36}
sprites.big_demon_run_anim_f1 = {'dungeon_atlas',176, 428, 32, 36, 16, 36}
sprites.big_demon_run_anim_f2 = {'dungeon_atlas',208, 428, 32, 36, 16, 36}
sprites.big_demon_run_anim_f3 = {'dungeon_atlas',240, 428, 32, 36, 16, 36}
sprites.big_zombie_idle_anim_f0 = {'dungeon_atlas',16, 332, 32, 36, 16, 36}
sprites.big_zombie_idle_anim_f1 = {'dungeon_atlas',48, 332, 32, 36, 16, 36}
sprites.big_zombie_idle_anim_f2 = {'dungeon_atlas',80, 332, 32, 36, 16, 36}
sprites.big_zombie_idle_anim_f3 = {'dungeon_atlas',112, 332, 32, 36, 16, 36}
sprites.big_zombie_run_anim_f0 = {'dungeon_atlas',144, 332, 32, 36, 16, 36}
sprites.big_zombie_run_anim_f1 = {'dungeon_atlas',176, 332, 32, 36, 16, 36}
sprites.big_zombie_run_anim_f2 = {'dungeon_atlas',208, 332, 32, 36, 16, 36}
sprites.big_zombie_run_anim_f3 = {'dungeon_atlas',240, 332, 32, 36, 16, 36}
sprites.bomb_f0 = {'dungeon_atlas',288, 320, 16, 16, 8, 16}
sprites.bomb_f1 = {'dungeon_atlas',304, 320, 16, 16, 8, 16}
sprites.bomb_f2 = {'dungeon_atlas',320, 320, 16, 16, 8, 16}
sprites.chest_empty_open_anim_f0 = {'dungeon_atlas',304, 400, 16, 16, 8, 16}
sprites.chest_empty_open_anim_f1 = {'dungeon_atlas',320, 400, 16, 16, 8, 16}
sprites.chest_empty_open_anim_f2 = {'dungeon_atlas',336, 400, 16, 16, 8, 16}
sprites.chest_full_open_anim_f0 = {'dungeon_atlas',304, 416, 16, 16, 8, 16}
sprites.chest_full_open_anim_f1 = {'dungeon_atlas',320, 416, 16, 16, 8, 16}
sprites.chest_full_open_anim_f2 = {'dungeon_atlas',336, 416, 16, 16, 8, 16}
sprites.chest_mimic_open_anim_f0 = {'dungeon_atlas',304, 432, 16, 16, 8, 16}
sprites.chest_mimic_open_anim_f1 = {'dungeon_atlas',320, 432, 16, 16, 8, 16}
sprites.chest_mimic_open_anim_f2 = {'dungeon_atlas',336, 432, 16, 16, 8, 16}
sprites.coin_anim_f0 = {'dungeon_atlas',289, 385, 6, 7, 3, 7}
sprites.coin_anim_f1 = {'dungeon_atlas',297, 385, 6, 7, 3, 7}
sprites.coin_anim_f2 = {'dungeon_atlas',305, 385, 6, 7, 3, 7}
sprites.coin_anim_f3 = {'dungeon_atlas',313, 385, 6, 7, 3, 7}
sprites.demo_bullet = {'dungeon_atlas',298, 385, 4, 7, 2, 0}
sprites.flask_big_blue = {'dungeon_atlas',304, 336, 16, 16, 8, 16}
sprites.flask_big_red = {'dungeon_atlas',288, 336, 16, 16, 8, 16}
sprites.flask_big_green = {'dungeon_atlas',320, 336, 16, 16, 8, 16}
sprites.flask_big_yellow = {'dungeon_atlas',336, 336, 16, 16, 8, 16}
sprites.flask_blue = {'dungeon_atlas',304, 352, 16, 16, 8, 16}
sprites.flask_red = {'dungeon_atlas',288, 352, 16, 16, 8, 16}
sprites.flask_green = {'dungeon_atlas',320, 352, 16, 16, 8, 16}
sprites.flask_yellow = {'dungeon_atlas',336, 352, 16, 16, 8, 16}
sprites.wizzard_f_hit_anim_f0 = {'dungeon_atlas',256, 132, 16, 28, 8, 28}
sprites.wizzard_f_idle_anim_f0 = {'dungeon_atlas',128, 132, 16, 28, 8, 28}
sprites.wizzard_f_idle_anim_f1 = {'dungeon_atlas',144, 132, 16, 28, 8, 28}
sprites.wizzard_f_idle_anim_f2 = {'dungeon_atlas',160, 132, 16, 28, 8, 28}
sprites.wizzard_f_idle_anim_f3 = {'dungeon_atlas',176, 132, 16, 28, 8, 28}
sprites.wizzard_f_run_anim_f0 = {'dungeon_atlas',192, 132, 16, 28, 8, 28}
sprites.wizzard_f_run_anim_f1 = {'dungeon_atlas',208, 132, 16, 28, 8, 28}
sprites.wizzard_f_run_anim_f2 = {'dungeon_atlas',224, 132, 16, 28, 8, 28}
sprites.wizzard_f_run_anim_f3 = {'dungeon_atlas',240, 132, 16, 28, 8, 28}
sprites.wizzard_m_hit_anim_f0 = {'dungeon_atlas',256, 164, 16, 28, 8, 28}
sprites.wizzard_m_idle_anim_f0 = {'dungeon_atlas',128, 164, 16, 28, 8, 28}
sprites.wizzard_m_idle_anim_f1 = {'dungeon_atlas',144, 164, 16, 28, 8, 28}
sprites.wizzard_m_idle_anim_f2 = {'dungeon_atlas',160, 164, 16, 28, 8, 28}
sprites.wizzard_m_idle_anim_f3 = {'dungeon_atlas',176, 164, 16, 28, 8, 28}
sprites.wizzard_m_run_anim_f0 = {'dungeon_atlas',192, 164, 16, 28, 8, 28}
sprites.wizzard_m_run_anim_f1 = {'dungeon_atlas',208, 164, 16, 28, 8, 28}
sprites.wizzard_m_run_anim_f2 = {'dungeon_atlas',224, 164, 16, 28, 8, 28}
sprites.wizzard_m_run_anim_f3 = {'dungeon_atlas',240, 164, 16, 28, 8, 28}
sprites.dwarf_m_idle_anim_f0 = {'dungeon_atlas',128, 292, 16, 28, 8, 28}
sprites.imp_idle_anim_f0 = {'dungeon_atlas',368, 64, 16, 16, 8, 16}
sprites.imp_idle_anim_f1 = {'dungeon_atlas',384, 64, 16, 16, 8, 16}
sprites.imp_idle_anim_f2 = {'dungeon_atlas',400, 64, 16, 16, 8, 16}
sprites.imp_idle_anim_f3 = {'dungeon_atlas',416, 64, 16, 16, 8, 16}
sprites.imp_run_anim_f0 = {'dungeon_atlas',432, 64, 16, 16, 8, 16}
sprites.imp_run_anim_f1 = {'dungeon_atlas',448, 64, 16, 16, 8, 16}
sprites.imp_run_anim_f2 = {'dungeon_atlas',464, 64, 16, 16, 8, 16}
sprites.imp_run_anim_f3 = {'dungeon_atlas',480, 64, 16, 16, 8, 16}
sprites.lizard_f_hit_anim_f0 = {'dungeon_atlas',256, 196, 16, 28, 8, 28}
sprites.lizard_f_idle_anim_f0 = {'dungeon_atlas',128, 196, 16, 28, 8, 28}
sprites.lizard_f_idle_anim_f1 = {'dungeon_atlas',144, 196, 16, 28, 8, 28}
sprites.lizard_f_idle_anim_f2 = {'dungeon_atlas',160, 196, 16, 28, 8, 28}
sprites.lizard_f_idle_anim_f3 = {'dungeon_atlas',176, 196, 16, 28, 8, 28}
sprites.lizard_f_run_anim_f0 = {'dungeon_atlas',192, 196, 16, 28, 8, 28}
sprites.lizard_f_run_anim_f1 = {'dungeon_atlas',208, 196, 16, 28, 8, 28}
sprites.lizard_f_run_anim_f2 = {'dungeon_atlas',224, 196, 16, 28, 8, 28}
sprites.lizard_f_run_anim_f3 = {'dungeon_atlas',240, 196, 16, 28, 8, 28}
sprites.dwarf_m_idle_anim_f1 = {'dungeon_atlas',144, 292, 16, 28, 8, 28}
sprites.dwarf_m_idle_anim_f2 = {'dungeon_atlas',160, 292, 16, 28, 8, 28}
sprites.dwarf_m_idle_anim_f3 = {'dungeon_atlas',176, 292, 16, 28, 8, 28}
sprites.dwarf_m_run_anim_f0 = {'dungeon_atlas',192, 292, 16, 28, 8, 28}
sprites.dwarf_m_run_anim_f1 = {'dungeon_atlas',208, 292, 16, 28, 8, 28}
sprites.dwarf_m_run_anim_f2 = {'dungeon_atlas',224, 292, 16, 28, 8, 28}
sprites.dwarf_m_run_anim_f3 = {'dungeon_atlas',240, 292, 16, 28, 8, 28}
sprites.dwarf_m_hit_anim_f0 = {'dungeon_atlas',256, 292, 16, 28, 8, 28}
sprites.knight_f_hit_anim_f0 = {'dungeon_atlas',256, 68, 16, 28, 8, 28}
sprites.knight_f_idle_anim_f0 = {'dungeon_atlas',128, 68, 16, 28, 8, 28}
sprites.knight_f_idle_anim_f1 = {'dungeon_atlas',144, 68, 16, 28, 8, 28}
sprites.knight_f_idle_anim_f2 = {'dungeon_atlas',160, 68, 16, 28, 8, 28}
sprites.knight_f_idle_anim_f3 = {'dungeon_atlas',176, 68, 16, 28, 8, 28}
sprites.knight_f_run_anim_f0 = {'dungeon_atlas',192, 68, 16, 28, 8, 28}
sprites.knight_f_run_anim_f1 = {'dungeon_atlas',208, 68, 16, 28, 8, 28}
sprites.knight_f_run_anim_f2 = {'dungeon_atlas',224, 68, 16, 28, 8, 28}
sprites.knight_f_run_anim_f3 = {'dungeon_atlas',240, 68, 16, 28, 8, 28}
sprites.dwarf_f_idle_anim_f0 = {'dungeon_atlas',128, 260, 16, 28, 8, 28}
sprites.dwarf_f_idle_anim_f1 = {'dungeon_atlas',144, 260, 16, 28, 8, 28}
sprites.dwarf_f_idle_anim_f2 = {'dungeon_atlas',160, 260, 16, 28, 8, 28}
sprites.dwarf_f_idle_anim_f3 = {'dungeon_atlas',176, 260, 16, 28, 8, 28}
sprites.dwarf_f_run_anim_f0 = {'dungeon_atlas',192, 260, 16, 28, 8, 28}
sprites.dwarf_f_run_anim_f1 = {'dungeon_atlas',208, 260, 16, 28, 8, 28}
sprites.dwarf_f_run_anim_f2 = {'dungeon_atlas',224, 260, 16, 28, 8, 28}
sprites.dwarf_f_run_anim_f3 = {'dungeon_atlas',240, 260, 16, 28, 8, 28}
sprites.dwarf_f_hit_anim_f0 = {'dungeon_atlas',256, 260, 16, 28, 8, 28}
sprites.weapon_anime_sword = {'dungeon_atlas',322, 65, 12, 30, 6, 30}
sprites.weapon_arrow = {'dungeon_atlas',324, 202, 7, 21, 3.5, 21}
sprites.weapon_arrowgun = {'dungeon_atlas',335, 202, 9, 21, 4, 8}
sprites.weapon_baton_with_spikes = {'dungeon_atlas',323, 41, 10, 22, 5, 22}
sprites.weapon_big_hammer = {'dungeon_atlas',291, 26, 10, 37, 5, 37}
sprites.weapon_bow = {'dungeon_atlas',289, 195, 14, 26, 7, 26}
sprites.weapon_bow_2 = {'dungeon_atlas',305, 195, 14, 26, 7, 26}
sprites.weapon_double_axe = {'dungeon_atlas',288, 167, 16, 24, 8, 24}
sprites.weapon_cleaver = {'dungeon_atlas',310, 108, 9, 19, 4.5, 19}
sprites.weapon_duel_sword = {'dungeon_atlas',325, 97, 9, 30, 4.5, 30}
sprites.weapon_golden_sword = {'dungeon_atlas',291, 137, 10, 22, 5, 22}
sprites.weapon_green_magic_staff = {'dungeon_atlas',340, 129, 8, 30, 4, 30}
sprites.weapon_hammer = {'dungeon_atlas',307, 39, 10, 24, 5, 24}
sprites.weapon_katana = {'dungeon_atlas',293, 66, 6, 29, 3, 29}
sprites.weapon_knife = {'dungeon_atlas',293, 10, 6, 13, 3, 13}
sprites.weapon_knight_sword = {'dungeon_atlas',339, 98, 10, 29, 5, 29}
sprites.weapon_lavish_sword = {'dungeon_atlas',307, 129, 10, 30, 5, 30}
sprites.weapon_mace = {'dungeon_atlas',339, 39, 10, 24, 5, 24}
sprites.weapon_saw_sword = {'dungeon_atlas',307, 70, 10, 25, 5, 25}
sprites.weapon_machete = {'dungeon_atlas',294, 105, 5, 22, 2.5, 22}
sprites.weapon_red_gem_sword = {'dungeon_atlas',339, 10, 10, 21, 5, 21}
sprites.weapon_red_magic_staff = {'dungeon_atlas',324, 129, 8, 30, 4, 30}
sprites.weapon_regular_sword = {'dungeon_atlas',323, 10, 10, 21, 5, 21}
sprites.weapon_rusty_sword = {'dungeon_atlas',307, 10, 10, 21, 5, 21}
sprites.weapon_spear = {'dungeon_atlas',309, 161, 6, 30, 3, 30}
sprites.weapon_waraxe = {'dungeon_atlas',324, 168, 12, 23, 6, 23}
sprites.weapon_throwing_axe = {'dungeon_atlas',340, 161, 10, 14, 5, 14}
sprites.weapon_axe = {'dungeon_atlas',341, 74, 9, 21, 4.5, 21}
sprites.wogol_idle_anim_f0 = {'dungeon_atlas',368, 249, 16, 23, 8, 23}
sprites.wogol_idle_anim_f1 = {'dungeon_atlas',384, 249, 16, 23, 8, 23}
sprites.wogol_idle_anim_f2 = {'dungeon_atlas',400, 249, 16, 23, 8, 23}
sprites.wogol_idle_anim_f3 = {'dungeon_atlas',416, 249, 16, 23, 8, 23}
sprites.wogol_run_anim_f0 = {'dungeon_atlas',432, 249, 16, 23, 8, 23}
sprites.wogol_run_anim_f1 = {'dungeon_atlas',448, 249, 16, 23, 8, 23}
sprites.wogol_run_anim_f2 = {'dungeon_atlas',464, 249, 16, 23, 8, 23}
sprites.wogol_run_anim_f3 = {'dungeon_atlas',480, 249, 16, 23, 8, 23}
sprites.zombie_anim_f10 = {'dungeon_atlas',368, 136, 16, 16, 8, 16}
sprites.zombie_anim_f1 = {'dungeon_atlas',384, 136, 16, 16, 8, 16}
sprites.zombie_anim_f2 = {'dungeon_atlas',400, 136, 16, 16, 8, 16}
sprites.zombie_anim_f3 = {'dungeon_atlas',416, 136, 16, 16, 8, 16}
sprites.tiny_zombie_idle_anim_f0 = {'dungeon_atlas',368, 16, 16, 16, 8, 16}
sprites.tiny_zombie_idle_anim_f1 = {'dungeon_atlas',384, 16, 16, 16, 8, 16}
sprites.tiny_zombie_idle_anim_f2 = {'dungeon_atlas',400, 16, 16, 16, 8, 16}
sprites.tiny_zombie_idle_anim_f3 = {'dungeon_atlas',416, 16, 16, 16, 8, 16}
sprites.tiny_zombie_run_anim_f0 = {'dungeon_atlas',432, 16, 16, 16, 8, 16}
sprites.tiny_zombie_run_anim_f1 = {'dungeon_atlas',448, 16, 16, 16, 8, 16}
sprites.tiny_zombie_run_anim_f2 = {'dungeon_atlas',464, 16, 16, 16, 8, 16}
sprites.tiny_zombie_run_anim_f3 = {'dungeon_atlas',480, 16, 16, 16, 8, 16}
sprites.goblin_idle_anim_f0 = {'dungeon_atlas',368, 40, 16, 16, 8, 16}
sprites.goblin_idle_anim_f1 = {'dungeon_atlas',384, 40, 16, 16, 8, 16}
sprites.goblin_idle_anim_f2 = {'dungeon_atlas',400, 40, 16, 16, 8, 16}
sprites.goblin_idle_anim_f3 = {'dungeon_atlas',416, 40, 16, 16, 8, 16}
sprites.goblin_run_anim_f0 = {'dungeon_atlas',432, 40, 16, 16, 8, 16}
sprites.goblin_run_anim_f1 = {'dungeon_atlas',448, 40, 16, 16, 8, 16}
sprites.goblin_run_anim_f2 = {'dungeon_atlas',464, 40, 16, 16, 8, 16}
sprites.goblin_run_anim_f3 = {'dungeon_atlas',480, 40, 16, 16, 8, 16}
sprites.ice_zombie_anim_f0 = {'dungeon_atlas',432, 136, 16, 16, 8, 16}
sprites.ice_zombie_anim_f1 = {'dungeon_atlas',448, 136, 16, 16, 8, 16}
sprites.ice_zombie_anim_f2 = {'dungeon_atlas',464, 136, 16, 16, 8, 16}
sprites.ice_zombie_anim_f3 = {'dungeon_atlas',480, 136, 16, 16, 8, 16}
sprites.knight_m_idle_anim_f0 = {'dungeon_atlas',128, 100, 16, 28, 8, 28}
sprites.knight_m_idle_anim_f1 = {'dungeon_atlas',144, 100, 16, 28, 8, 28}
sprites.knight_m_idle_anim_f2 = {'dungeon_atlas',160, 100, 16, 28, 8, 28}
sprites.knight_m_idle_anim_f3 = {'dungeon_atlas',176, 100, 16, 28, 8, 28}
sprites.knight_m_run_anim_f0 = {'dungeon_atlas',192, 100, 16, 28, 8, 28}
sprites.knight_m_run_anim_f1 = {'dungeon_atlas',208, 100, 16, 28, 8, 28}
sprites.knight_m_run_anim_f2 = {'dungeon_atlas',224, 100, 16, 28, 8, 28}
sprites.knight_m_run_anim_f3 = {'dungeon_atlas',240, 100, 16, 28, 8, 28}
sprites.knight_m_hit_anim_f0 = {'dungeon_atlas',256, 100, 16, 28, 8, 28}
sprites.crate = {'dungeon_atlas',288, 408, 16, 24, 8, 24}
sprites.edge_down = {'dungeon_atlas',96, 128, 16, 16, 8, 16}
sprites.orc_shaman_idle_anim_f0 = {'dungeon_atlas',368, 201, 16, 23, 8, 23}
sprites.orc_shaman_idle_anim_f1 = {'dungeon_atlas',384, 201, 16, 23, 8, 23}
sprites.orc_shaman_idle_anim_f2 = {'dungeon_atlas',400, 201, 16, 23, 8, 23}
sprites.orc_shaman_idle_anim_f3 = {'dungeon_atlas',416, 201, 16, 23, 8, 23}
sprites.orc_shaman_run_anim_f0 = {'dungeon_atlas',432, 201, 16, 23, 8, 23}
sprites.orc_shaman_run_anim_f1 = {'dungeon_atlas',448, 201, 16, 23, 8, 23}
sprites.orc_shaman_run_anim_f2 = {'dungeon_atlas',464, 201, 16, 23, 8, 23}
sprites.orc_shaman_run_anim_f3 = {'dungeon_atlas',480, 201, 16, 23, 8, 23}
sprites.swampy_anim_f0 = {'dungeon_atlas',432, 112, 16, 16, 8, 16}
sprites.swampy_anim_f1 = {'dungeon_atlas',448, 112, 16, 16, 8, 16}
sprites.swampy_anim_f2 = {'dungeon_atlas',464, 112, 16, 16, 8, 16}
sprites.swampy_anim_f3 = {'dungeon_atlas',480, 112, 16, 16, 8, 16}
sprites.muddy_anim_f0 = {'dungeon_atlas',368, 112, 16, 16, 8, 16}
sprites.muddy_anim_f1 = {'dungeon_atlas',384, 112, 16, 16, 8, 16}
sprites.muddy_anim_f2 = {'dungeon_atlas',400, 112, 16, 16, 8, 16}
sprites.muddy_anim_f3 = {'dungeon_atlas',416, 112, 16, 16, 8, 16}
sprites.necromancer_anim_f0 = {'dungeon_atlas',368, 225, 16, 23, 8, 23}
sprites.necromancer_anim_f1 = {'dungeon_atlas',384, 225, 16, 23, 8, 23}
sprites.necromancer_anim_f2 = {'dungeon_atlas',400, 225, 16, 23, 8, 23}
sprites.necromancer_anim_f3 = {'dungeon_atlas',416, 225, 16, 23, 8, 23}
sprites.masked_orc_idle_anim_f0 = {'dungeon_atlas',368, 153, 16, 23, 8, 23}
sprites.masked_orc_idle_anim_f1 = {'dungeon_atlas',384, 153, 16, 23, 8, 23}
sprites.masked_orc_idle_anim_f2 = {'dungeon_atlas',400, 153, 16, 23, 8, 23}
sprites.masked_orc_idle_anim_f3 = {'dungeon_atlas',416, 153, 16, 23, 8, 23}
sprites.masked_orc_run_anim_f0 = {'dungeon_atlas',432, 153, 16, 23, 8, 23}
sprites.masked_orc_run_anim_f1 = {'dungeon_atlas',448, 153, 16, 23, 8, 23}
sprites.masked_orc_run_anim_f2 = {'dungeon_atlas',464, 153, 16, 23, 8, 23}
sprites.masked_orc_run_anim_f3 = {'dungeon_atlas',480, 153, 16, 23, 8, 23}
sprites.orc_warrior_idle_anim_f0 = {'dungeon_atlas',368, 177, 16, 23, 8, 23}
sprites.orc_warrior_idle_anim_f1 = {'dungeon_atlas',384, 177, 16, 23, 8, 23}
sprites.orc_warrior_idle_anim_f2 = {'dungeon_atlas',400, 177, 16, 23, 8, 23}
sprites.orc_warrior_idle_anim_f3 = {'dungeon_atlas',416, 177, 16, 23, 8, 23}
sprites.orc_warrior_run_anim_f0 = {'dungeon_atlas',432, 177, 16, 23, 8, 23}
sprites.orc_warrior_run_anim_f1 = {'dungeon_atlas',448, 177, 16, 23, 8, 23}
sprites.orc_warrior_run_anim_f2 = {'dungeon_atlas',464, 177, 16, 23, 8, 23}
sprites.orc_warrior_run_anim_f3 = {'dungeon_atlas',480, 177, 16, 23, 8, 23}
sprites.skelet_idle_anim_f0 = {'dungeon_atlas',368, 88, 16, 16, 8, 16}
sprites.skelet_idle_anim_f1 = {'dungeon_atlas',384, 88, 16, 16, 8, 16}
sprites.skelet_idle_anim_f2 = {'dungeon_atlas',400, 88, 16, 16, 8, 16}
sprites.skelet_idle_anim_f3 = {'dungeon_atlas',416, 88, 16, 16, 8, 16}
sprites.skelet_run_anim_f0 = {'dungeon_atlas',432, 88, 16, 16, 8, 16}
sprites.skelet_run_anim_f1 = {'dungeon_atlas',448, 88, 16, 16, 8, 16}
sprites.skelet_run_anim_f2 = {'dungeon_atlas',464, 88, 16, 16, 8, 16}
sprites.skelet_run_anim_f3 = {'dungeon_atlas',480, 88, 16, 16, 8, 16}
sprites.skull = {'dungeon_atlas',288, 432, 16, 16, 8, 16}
sprites.ogre_idle_anim_f0 = {'dungeon_atlas',16, 380, 32, 36, 16, 36}
sprites.ogre_idle_anim_f1 = {'dungeon_atlas',48, 380, 32, 36, 16, 36}
sprites.ogre_idle_anim_f2 = {'dungeon_atlas',80, 380, 32, 36, 16, 36}
sprites.ogre_idle_anim_f3 = {'dungeon_atlas',112, 380, 32, 36, 16, 36}
sprites.ogre_run_anim_f0 = {'dungeon_atlas',144, 380, 32, 36, 16, 36}
sprites.ogre_run_anim_f1 = {'dungeon_atlas',176, 380, 32, 36, 16, 36}
sprites.ogre_run_anim_f2 = {'dungeon_atlas',208, 380, 32, 36, 16, 36}
sprites.ogre_run_anim_f3 = {'dungeon_atlas',240, 380, 32, 36, 16, 36}
sprites.ui_heart_empty = {'dungeon_atlas',321, 370, 13, 12, 6.5, 12}
sprites.ui_heart_full = {'dungeon_atlas',289, 370, 13, 12, 6.5, 12}
sprites.ui_heart_half = {'dungeon_atlas',305, 370, 13, 12, 6.5, 12}
sprites.doc_idle_anim_f0 = {'dungeon_atlas',368, 345, 16, 23, 8, 23}
sprites.doc_idle_anim_f1 = {'dungeon_atlas',384, 345, 16, 23, 8, 23}
sprites.doc_idle_anim_f2 = {'dungeon_atlas',400, 345, 16, 23, 8, 23}
sprites.doc_idle_anim_f3 = {'dungeon_atlas',416, 345, 16, 23, 8, 23}
sprites.doc_run_anim_f0 = {'dungeon_atlas',432, 345, 16, 23, 8, 23}
sprites.doc_run_anim_f1 = {'dungeon_atlas',448, 345, 16, 23, 8, 23}
sprites.doc_run_anim_f2 = {'dungeon_atlas',464, 345, 16, 23, 8, 23}
sprites.doc_run_anim_f3 = {'dungeon_atlas',480, 345, 16, 23, 8, 23}
sprites.pumpkin_dude_idle_anim_f0 = {'dungeon_atlas',368, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_idle_anim_f1 = {'dungeon_atlas',384, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_idle_anim_f2 = {'dungeon_atlas',400, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_idle_anim_f3 = {'dungeon_atlas',416, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_run_anim_f0 = {'dungeon_atlas',432, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_run_anim_f1 = {'dungeon_atlas',448, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_run_anim_f2 = {'dungeon_atlas',464, 321, 16, 23, 8, 23}
sprites.pumpkin_dude_run_anim_f3 = {'dungeon_atlas',480, 321, 16, 23, 8, 23}
sprites.angel_idle_anim_f0 = {'dungeon_atlas',368, 304, 16, 16, 8, 16}
sprites.angel_idle_anim_f1 = {'dungeon_atlas',384, 304, 16, 16, 8, 16}
sprites.angel_idle_anim_f2 = {'dungeon_atlas',400, 304, 16, 16, 8, 16}
sprites.angel_idle_anim_f3 = {'dungeon_atlas',416, 304, 16, 16, 8, 16}
sprites.angel_run_anim_f0 = {'dungeon_atlas',432, 304, 16, 16, 8, 16}
sprites.angel_run_anim_f1 = {'dungeon_atlas',448, 304, 16, 16, 8, 16}
sprites.angel_run_anim_f2 = {'dungeon_atlas',464, 304, 16, 16, 8, 16}
sprites.angel_run_anim_f3 = {'dungeon_atlas',480, 304, 16, 16, 8, 16}
sprites.chort_idle_anim_f0 = {'dungeon_atlas',368, 273, 16, 23, 8, 23}
sprites.chort_idle_anim_f1 = {'dungeon_atlas',384, 273, 16, 23, 8, 23}
sprites.chort_idle_anim_f2 = {'dungeon_atlas',400, 273, 16, 23, 8, 23}
sprites.chort_idle_anim_f3 = {'dungeon_atlas',416, 273, 16, 23, 8, 23}
sprites.chort_run_anim_f0 = {'dungeon_atlas',432, 273, 16, 23, 8, 23}
sprites.chort_run_anim_f1 = {'dungeon_atlas',448, 273, 16, 23, 8, 23}
sprites.chort_run_anim_f2 = {'dungeon_atlas',464, 273, 16, 23, 8, 23}
sprites.chort_run_anim_f3 = {'dungeon_atlas',480, 273, 16, 23, 8, 23}
sprites.column = {'dungeon_atlas',80, 80, 16, 48, 8, 32}
sprites.column_wall = {'dungeon_atlas',96, 80, 16, 48, 8, 32}
sprites.lizard_m_idle_anim_f0 = {'dungeon_atlas',128, 228, 16, 28, 8, 28}
sprites.lizard_m_idle_anim_f1 = {'dungeon_atlas',144, 228, 16, 28, 8, 28}
sprites.lizard_m_idle_anim_f2 = {'dungeon_atlas',160, 228, 16, 28, 8, 28}
sprites.lizard_m_idle_anim_f3 = {'dungeon_atlas',176, 228, 16, 28, 8, 28}
sprites.lizard_m_run_anim_f0 = {'dungeon_atlas',192, 228, 16, 28, 8, 28}
sprites.lizard_m_run_anim_f1 = {'dungeon_atlas',208, 228, 16, 28, 8, 28}
sprites.lizard_m_run_anim_f2 = {'dungeon_atlas',224, 228, 16, 28, 8, 28}
sprites.lizard_m_run_anim_f3 = {'dungeon_atlas',240, 228, 16, 28, 8, 28}
sprites.lizard_m_hit_anim_f0 = {'dungeon_atlas',256, 228, 16, 28, 8, 28}
sprites.elf_f_idle_anim_f0 = {'dungeon_atlas',128, 4, 16, 28, 8, 28}
sprites.elf_f_idle_anim_f1 = {'dungeon_atlas',144, 4, 16, 28, 8, 28}
sprites.elf_f_idle_anim_f2 = {'dungeon_atlas',160, 4, 16, 28, 8, 28}
sprites.elf_f_idle_anim_f3 = {'dungeon_atlas',176, 4, 16, 28, 8, 28}
sprites.elf_f_run_anim_f0 = {'dungeon_atlas',192, 4, 16, 28, 8, 28}
sprites.elf_f_run_anim_f1 = {'dungeon_atlas',208, 4, 16, 28, 8, 28}
sprites.elf_f_run_anim_f2 = {'dungeon_atlas',224, 4, 16, 28, 8, 28}
sprites.elf_f_run_anim_f3 = {'dungeon_atlas',240, 4, 16, 28, 8, 28}
sprites.elf_f_hit_anim_f0 = {'dungeon_atlas',256, 4, 16, 28, 8, 28}
sprites.elf_m_idle_anim_f0 = {'dungeon_atlas',128, 36, 16, 28, 8, 22}
sprites.elf_m_idle_anim_f1 = {'dungeon_atlas',144, 36, 16, 28, 8, 22}
sprites.elf_m_idle_anim_f2 = {'dungeon_atlas',160, 36, 16, 28, 8, 22}
sprites.elf_m_idle_anim_f3 = {'dungeon_atlas',176, 36, 16, 28, 8, 22}
sprites.elf_m_run_anim_f0 = {'dungeon_atlas',192, 36, 16, 28, 8, 22}
sprites.elf_m_run_anim_f1 = {'dungeon_atlas',208, 36, 16, 28, 8, 22}
sprites.elf_m_run_anim_f2 = {'dungeon_atlas',224, 36, 16, 28, 8, 22}
sprites.elf_m_run_anim_f3 = {'dungeon_atlas',240, 36, 16, 28, 8, 22}
sprites.elf_m_hit_anim_f0 = {'dungeon_atlas',256, 36, 16, 28, 8, 22}
sprites.button_red_up = {'dungeon_atlas',16, 208, 16, 16, 8, 16}
sprites.button_red_down = {'dungeon_atlas',32, 208, 16, 16, 8, 16}
sprites.button_blue_up = {'dungeon_atlas',48, 208, 16, 16, 8, 16}
sprites.button_blue_down = {'dungeon_atlas',64, 208, 16, 16, 8, 16}
sprites.lever_left = {'dungeon_atlas',80, 208, 16, 16, 8, 16}
sprites.lever_right = {'dungeon_atlas',96, 208, 16, 16, 8, 16}
sprites.doors_frame_left = {'dungeon_atlas',16, 240, 16, 32, 8, 32}
sprites.doors_frame_right = {'dungeon_atlas',64, 240, 16, 32, 8, 32}
sprites.doors_frame_top = {'dungeon_atlas',32, 224, 32, 16, 16, 16}
sprites.doors_leaf_closed = {'dungeon_atlas',32, 240, 32, 32, 16, 32}
sprites.doors_leaf_open = {'dungeon_atlas',80, 240, 32, 32, 16, 32}
sprites.wall_edge_bottom_left = {'dungeon_atlas',32, 168, 16, 16, 8, 16}
sprites.wall_edge_bottom_right = {'dungeon_atlas',48, 168, 16, 16, 8, 16}
sprites.wall_edge_mid_left = {'dungeon_atlas',32, 152, 16, 16, 8, 16}
sprites.wall_edge_top_left = {'dungeon_atlas',31, 120, 16, 16, 8, 16}
sprites.wall_edge_left = {'dungeon_atlas',32, 136, 16, 16, 8, 16}
sprites.wall_edge_top_right = {'dungeon_atlas',48, 120, 16, 16, 8, 16}
sprites.wall_edge_right = {'dungeon_atlas',48, 136, 16, 16, 8, 16}
sprites.wall_edge_mid_right = {'dungeon_atlas',48, 152, 16, 16, 8, 16}
sprites.wall_edge_tshape_bottom_right = {'dungeon_atlas',64, 152, 16, 16, 8, 16}
sprites.wall_edge_tshape_bottom_left = {'dungeon_atlas',80, 152, 16, 16, 8, 16}
sprites.wall_edge_tshape_right = {'dungeon_atlas',64, 168, 16, 16, 8, 16}
sprites.wall_edge_tshape_left = {'dungeon_atlas',80, 168, 16, 16, 8, 16}
sprites.wall_outer_front_right = {'dungeon_atlas',16, 168, 16, 16, 8, 16}
sprites.wall_outer_front_left = {'dungeon_atlas',0, 168, 16, 16, 8, 16}
sprites.wall_outer_mid_left = {'dungeon_atlas',0, 152, 16, 16, 8, 16}
sprites.wall_outer_top_left = {'dungeon_atlas',0, 136, 16, 16, 8, 16}
sprites.wall_outer_top_right = {'dungeon_atlas',16, 136, 16, 16, 8, 16}
sprites.wall_outer_mid_right = {'dungeon_atlas',16, 152, 16, 16, 3, 16}
sprites.wall_fountain_top_1 = {'dungeon_atlas',64, 0, 16, 16, 8, 16}
sprites.wall_fountain_top_2 = {'dungeon_atlas',80, 0, 16, 16, 8, 16}
sprites.wall_fountain_top_3 = {'dungeon_atlas',96, 0, 16, 16, 8, 16}
sprites.slug_anim_f0 = {'dungeon_atlas',368, 369, 16, 23, 8, 23}
sprites.slug_anim_f1 = {'dungeon_atlas',384, 369, 16, 23, 8, 23}
sprites.slug_anim_f2 = {'dungeon_atlas',400, 369, 16, 23, 8, 23}
sprites.slug_anim_f3 = {'dungeon_atlas',416, 369, 16, 23, 8, 23}
sprites.tiny_slug_anim_f0 = {'dungeon_atlas',432, 376, 16, 16, 8, 16}
sprites.tiny_slug_anim_f1 = {'dungeon_atlas',448, 376, 16, 16, 8, 16}
sprites.tiny_slug_anim_f2 = {'dungeon_atlas',464, 376, 16, 16, 8, 16}
sprites.tiny_slug_anim_f3 = {'dungeon_atlas',480, 376, 16, 16, 8, 16}
sprites.exp_crystal = {'dungeon_atlas', 320, 384, 6, 9, 3, 9}

return sprites