local drawing = require("drawing")
local assets = require("assets")
local input = require("input")
local playerhelpers = require("playerhelpers")
local shop = require("shop")
local state = require("state")

local title = {}

button = {
    text = "Shop",
    x = 192,
    y = HEIGHT - 32,
    handle = function()
        
    end
}

function title.update(dt)
    if input.justPressed("pointer") then
        local mx, my = input.pointerPosition()
        if mx >= button.x and mx <= button.x + 96 and my >= button.y and my <= button.y + 16 then
            playerhelpers.reset()
            shop.reset()
            state.switch("game")
        end
    end
end

function title.draw()
    drawing.draw(assets.images.title, 0, 0)
   
    drawing.sprite("uiButton", button.x, button.y)
    drawing.printf("Start Game", 0, button.y + 4, WIDTH, "center")
    
end


return title